- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
cast
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Helper functions for arrays

Casting inputs from one type to another. More...

## Functions
AFAPI af_err | af_cast (af_array *out, const af_array in, const af_dtype type)
| C Interface for casting an array from one type to another. More...

## Detailed Description

Casting inputs from one type to another.

## Function Documentation

AFAPI af_err af_cast | ( | af_array * | out,
|  | const af_array | in,
|  | const af_dtype | type
| ) |  |

C Interface for casting an array from one type to another.

Parameters

  [out] | out | will contain the values in the specified type
  [in] | in | is the input
  [in] | type | is the target data type af_dtype

Returns
  AF_SUCCESS if the execution completes properly